%define major 0
%define libname %mklibname cuefile %{major}
%define develname %mklibname cuefile -d

Summary:	Library for parsing cue and toc files
Name:		libcuefile
Version:	20131223
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		http://www.musepack.net/
Source0:	http://svn.musepack.net/libcuefile/%{name}-%{version}.tar.xz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Library for parsing cue and toc files

%package -n %{libname}
Summary:	Library for parsing cue and toc files
Group:		System/Libraries

%description -n %{libname}
Library for parsing cue and toc files

%package -n %{develname}
Summary:	Development files for development with %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package includes the development files for the %{name} package.

%prep
%setup -q

%build
%cmake
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

# manually install missing header files
mkdir -p %{buildroot}%{_includedir}/cuetools
install -m644 include/cuetools/cuefile.h %{buildroot}%{_includedir}/cuetools
install -m644 include/cuetools/cd.h %{buildroot}%{_includedir}/cuetools
install -m644 include/cuetools/cdtext.h %{buildroot}%{_includedir}/cuetools

# don't ship .a, .la
find %{buildroot} -name '*.a' | xargs rm -f
find %{buildroot} -name '*.la' | xargs rm -f


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libcuefile.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README AUTHORS COPYING
%{_libdir}/libcuefile.so
%{_includedir}/cuetools/*.h

%changelog
* Mon Dec 23 2013 ghosbunny <hmhaase at pclinuxosusers dot de> 20131223-1pclos2013
- initial import for pclos
